Bug 169759 - Firefox 1.0.7 crashes
Firefox 1.0.7 crashes
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-03 05:29 EDT by Behdad Esfahbod
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 18:26:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Behdad Esfahbod 2005-10-03 05:29:51 EDT
Description of problem:
With the new Firefox 1.0.7 update for FC4, I'm getting Firefox crashing
randomly.  Running inside gdb, I'm getting the following backtrace all the time:

(gdb) bt
#0  0x00f69402 in __kernel_vsyscall ()
#1  0x00921a1c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x001525a1 in ?? ()
#3  0x0848d614 in ?? ()
#4  0x0848d5b0 in ?? ()
#5  0xb34463dc in ?? ()
#6  0x0000ea60 in JS_HashTableEnumerateEntries@plt ()
#7  0x00152880 in ?? ()
#8  0x0000003c in ?? ()
#9  0x07862d18 in ?? () from /usr/lib/firefox-1.0.7/components/libnecko.so
#10 0x0000ea60 in JS_HashTableEnumerateEntries@plt ()
#11 0x0775b9db in NSGetModule () from /usr/lib/firefox-1.0.7/components/libnecko.so
#12 0x00156916 in ?? ()
#13 0x0848d580 in ?? ()
#14 0x00928ff4 in ?? () from /lib/libpthread.so.0
#15 0x00000000 in ?? ()



Version-Release number of selected component (if applicable):

firefox-1.0.7-1.1.fc4


How reproducible:

Right now I can reproduce it whenever I try to submit an attachment to gnome
bugzilla, but it has been crashing at other times too.


Additional info:

With the same update, I and a friend of mine have been observing problems with
font selection too, but that probably is another problem.
Comment 1 Behdad Esfahbod 2005-10-03 09:05:00 EDT
Another backtrace, crashing consistently when pressing the browse button in bugzill:

Program received signal SIG33, Real-time event 33.
[Switching to Thread -1222104144 (LWP 19958)]
0x00d42402 in __kernel_vsyscall ()
(gdb)
(gdb) bt
#0  0x00d42402 in __kernel_vsyscall ()
#1  0x00921a1c in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2  0x006d25a1 in PR_Lock () from /usr/lib/firefox-1.0.7/libnspr4.so
#3  0x006d2880 in PR_WaitCondVar () from /usr/lib/firefox-1.0.7/libnspr4.so
#4  0x00d569db in NSGetModule ()
   from /usr/lib/firefox-1.0.7/components/libnecko.so
#5  0x006d6916 in PR_Select () from /usr/lib/firefox-1.0.7/libnspr4.so
#6  0x0091fb80 in start_thread () from /lib/libpthread.so.0
#7  0x005bd9ce in clone () from /lib/libc.so.6

Comment 2 Sérgio Agostinho 2005-11-13 06:30:06 EST
I'm using the same version of Firefox and it also crashes when pushing a
"browse" button, but it only happens a very few times. I will try the get some
output.
Comment 3 Russell McOrmond 2005-11-22 18:04:03 EST
I have been experiencing the same random "disappearing" with Firefox and
OpenOffice.org.  Over at Bug #171873 there is a report that a fix was found.  Is
it at all possible that a similar bug found its way into Ooo that is still in
Firefox?
Comment 4 Behdad Esfahbod 2005-11-22 19:21:20 EST
For what it's worth, I'm not experimenting that anymore.  Guess something was
very wrong with my Gtk+.
Comment 5 Russell McOrmond 2005-11-24 16:09:16 EST
Can you be more specific about what you thought was wrong with your Gtk+, and
suggestions that other people can try who still see this problem?

Note: With OOo they seem to think it may be a compiler optimization bug...
Comment 6 Behdad Esfahbod 2005-11-25 02:19:35 EST
Don't exactly remember, but after a couple of days it never happened again.

Note You need to log in before you can comment on or make changes to this bug.